org.apache.olingo.commons.api.edm.provider

## Class CsdlFunction

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlOperation
    - - org.apache.olingo.commons.api.edm.provider.CsdlFunction

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed

      public class CsdlFunction
      extends CsdlOperation

  The type Csdl function.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperation

      `annotations, entitySetPath, isBound, name, parameters, returnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlFunction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isComposable()` Is composable.
    `CsdlFunction` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlFunction` | `setBound(boolean isBound)` Sets as bound operation.
    `CsdlFunction` | `setComposable(boolean isComposable)` Sets composable.
    `CsdlFunction` | `setEntitySetPath(String entitySetPath)` Sets entity set path.
    `CsdlFunction` | `setName(String name)` Sets name.
    `CsdlFunction` | `setParameters(List<CsdlParameter> parameters)` Sets parameters.
    `CsdlFunction` | `setReturnType(CsdlReturnType returnType)` Sets return type.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlOperation

      `getAnnotations, getEntitySetPath, getName, getParameter, getParameters, getReturnType, isBound`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlFunction

          public CsdlFunction()

  - ### Method Detail

    - #### isComposable

          public boolean isComposable()

      Is composable.
      Returns:
        the boolean

    - #### setComposable

          public CsdlFunction setComposable(boolean isComposable)

      Sets composable.
      Parameters:
        `isComposable` - the is composable
      Returns:
        the composable

    - #### setName

          public CsdlFunction setName(String name)

      Description copied from class: `CsdlOperation`
      Sets name.
      Overrides:
        `setName` in class `CsdlOperation`
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### setBound

          public CsdlFunction setBound(boolean isBound)

      Description copied from class: `CsdlOperation`
      Sets as bound operation.
      Overrides:
        `setBound` in class `CsdlOperation`
      Parameters:
        `isBound` - the is bound
      Returns:
        the bound

    - #### setEntitySetPath

          public CsdlFunction setEntitySetPath(String entitySetPath)

      Description copied from class: `CsdlOperation`
      Sets entity set path.
      Overrides:
        `setEntitySetPath` in class `CsdlOperation`
      Parameters:
        `entitySetPath` - the entity set path
      Returns:
        the entity set path

    - #### setParameters

          public CsdlFunction setParameters(List<CsdlParameter> parameters)

      Description copied from class: `CsdlOperation`
      Sets parameters.
      Overrides:
        `setParameters` in class `CsdlOperation`
      Parameters:
        `parameters` - the parameters
      Returns:
        the parameters

    - #### setReturnType

          public CsdlFunction setReturnType(CsdlReturnType returnType)

      Description copied from class: `CsdlOperation`
      Sets return type.
      Overrides:
        `setReturnType` in class `CsdlOperation`
      Parameters:
        `returnType` - the return type
      Returns:
        the return type

    - #### setAnnotations

          public CsdlFunction setAnnotations(List<CsdlAnnotation> annotations)

      Description copied from class: `CsdlOperation`
      Sets a list of annotations
      Overrides:
        `setAnnotations` in class `CsdlOperation`
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.